Bug 102054 - glibc-2.3.2 src rpm does not include bzip2 in it's BuildPreReq
Summary: glibc-2.3.2 src rpm does not include bzip2 in it's BuildPreReq
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: rpm (Show other bugs)
(Show other bugs)
Version: 3.0
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-08-09 22:29 UTC by alex kramarov
Modified: 2007-11-30 22:06 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-08-20 19:47:58 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description alex kramarov 2003-08-09 22:29:12 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; .NET CLR 
1.1.4322)

Description of problem:
glibc-2.3.2 src rpm does not include bzip2 in it's BuildPreReq, and if bzip2 
not installed, the following error occires :

[root@ltest redhat]# rpmbuild -ba SPECS/glibc.spec
Executing(%prep): /bin/sh -e /var/tmp/rpm-tmp.31452
+ umask 022
+ cd /usr/src/redhat/BUILD
+ cd /usr/src/redhat/BUILD
+ rm -rf glibc-2.3.2-200307120508
+ /usr/bin/bzip2 -dc /usr/src/redhat/SOURCES/glibc-2.3.2-200307120508.tar.bz2
/var/tmp/rpm-tmp.31452: line 24: /usr/bin/bzip2: No such file or directory
+ tar -xf -
+ STATUS=0
+ '[' 0 -ne 0 ']'
+ cd glibc-2.3.2-200307120508
/var/tmp/rpm-tmp.31452: line 29: cd: glibc-2.3.2-200307120508: No such file or 
directory
error: Bad exit status from /var/tmp/rpm-tmp.31452 (%prep)


RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.31452 (%prep)


Version-Release number of selected component (if applicable):
glibc-2.3.2-63.src.rpm

How reproducible:
Always

Steps to Reproduce:
remove bipz2 from the system
install glibc src rpm
rpmbuild SPEC/glibc.spec
    

Actual Results:  operation falied complaining about missing bzip2

Additional info:

Comment 1 Jakub Jelinek 2003-08-11 12:23:09 UTC
If anything, it should be rpm-build which would Requires: bzip2.
There are lots of packages with bzip2'ed tarballs, and what makes it different
from gzip?
Alternatively, bzip2 can be considered a part of the base package set which
should be always installed in order to build packages.
Stuff like filesystem, coreutils, glibc, gcc, autoconf, libgcc, awk, find, perl, patch, ...

Comment 2 Jeff Johnson 2003-08-20 19:47:58 UTC
I have no idea why this is deemed an rpm bug.


Note You need to log in before you can comment on or make changes to this bug.